## deepin-proxy 1.0.2

=== Makefile ===
PREFIX=/usr
PREFIXETC=/etc

LIB=lib
DEEPIN=deepin
PROXYFILE=deepin-proxy
DAEMON=deepin-daemon

GOPATH=/usr/share/gocode

GOPATH_DIR=gopath
GOPKG_PREFIX=github.com/ArisAachen/deepin-network-proxy

GOBUILD = go build $(GO_BUILD_FLAGS)
export GO111MODULE=off

all: build

prepare:
	mkdir -p bin
	@if [ ! -d ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}) ];then \
		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
		ln -sf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
		fi

Out/%:  prepare
	@echo $(GOPATH)
	GOPATH="${CURDIR}/${GOPATH_DIR}:$(GOPATH)" ${GOBUILD} -o bin/${@F} ${GOPKG_PREFIX}/out/${@F}

install:
	mkdir -p ${DESTDIR}${PREFIXETC}/${DEEPIN}/${PROXYFILE}
	install -v -D -m755 -t ${DESTDIR}${PREFIXETC}/${DEEPIN}/${PROXYFILE} misc/script/clean_script.sh
	install -v -D -m755 -t ${DESTDIR}${PREFIXETC}/${DEEPIN}/${PROXYFILE} misc/proxy/proxy.yaml
	install -v -D -m755 -t ${DESTDIR}${PREFIX}/share/dbus-1/system.d misc/proxy/com.deepin.system.proxy.conf
	install -v -D -m755 -t ${DESTDIR}${PREFIX}/share/dbus-1/system-services misc/proxy/com.deepin.system.proxy.service
	install -v -D -m755 -t ${DESTDIR}${PREFIX}/${LIB}/${DAEMON} bin/dde-proxy


clean:
	-rm -rf bin


build: prepare Out/dde-proxy

=== debian/changelog ===
deepin-proxy (1.0.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:24:03 +0800

deepin-proxy (1.1.0.9) unstable; urgency=medium

  * Initial release

 -- electricface <songwentai@deepin.com>  Fri, 14 Jun 2019 16:46:39 +0800

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export GOPATH := /usr/share/gocode
export GOCACHE=/tmp/

%:
	dh $@

## deepin-proxy 2.0.2

=== Makefile ===
PREFIX=/usr
PREFIXETC=/etc

LIB=lib
DEEPIN=deepin
PROXYFILE=deepin-proxy
DAEMON=deepin-daemon

GOPATH=/usr/share/gocode

GOPATH_DIR=gopath
GOPKG_PREFIX=github.com/linuxdeepin/deepin-network-proxy

GOBUILD = go build $(GO_BUILD_FLAGS)

all: build

prepare:
	@mkdir -p bin
	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};

Out/%:  prepare
	@echo $(GOPATH)
	GOPATH="${CURDIR}/${GOPATH_DIR}:$(GOPATH)" ${GOBUILD} -o bin/${@F} ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/out/${@F}

install:
	mkdir -p ${DESTDIR}${PREFIXETC}/${DEEPIN}/${PROXYFILE}
	install -v -D -m755 -t ${DESTDIR}${PREFIXETC}/${DEEPIN}/${PROXYFILE} misc/script/clean_script.sh
	install -v -D -m755 -t ${DESTDIR}${PREFIXETC}/${DEEPIN}/${PROXYFILE} misc/proxy/proxy.yaml
	install -v -D -m755 -t ${DESTDIR}${PREFIX}/share/dbus-1/system.d misc/proxy/org.deepin.dde.NetworkProxy1.conf
	install -v -D -m755 -t ${DESTDIR}${PREFIX}/share/dbus-1/system-services misc/proxy/org.deepin.dde.NetworkProxy1.service
	install -v -D -m755 -t ${DESTDIR}${PREFIX}/${LIB}/${DAEMON} bin/dde-proxy


clean:
	-rm -rf bin


build: prepare Out/dde-proxy

=== debian/changelog ===
deepin-proxy (2.0.2) unstable; urgency=medium

  * fix: fix wrong cgroup path
  * fix: wrong import path
  * chore(CI): add OBS workflows
  * chore: add go mod (#20)
  * chore: remove replace in go mod
  * fix: catch some close error

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 23 Apr 2023 09:44:45 +0800

deepin-proxy (2.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:29:01 +0800

deepin-proxy (2.0.0.0) unstable; urgency=medium

  * release 2.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:26:13 +0800

=== debian/control ===
Source: deepin-proxy
Section: misc
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper-compat (= 11),
 dh-golang,
 golang-any,
 golang-github-linuxdeepin-go-lib-dev,
 golang-gopkg-check.v1-dev,
 golang-gopkg-yaml.v2-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev,
 golang-github-stretchr-testify-dev,
 golang-github-miekg-dns-dev,
 golang-github-golang-groupcache-dev,
 golang-go | gccgo-5,
Standards-Version: 4.3.0
Homepage: http://www.deepin.org

Package: deepin-proxy
Architecture: any
Built-Using:
 ${misc:Built-Using},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Description: service for global or app proxy
 deepin-proxy is used for proxy

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,9 @@
 export GOPATH := /usr/share/gocode
 export GOCACHE=/tmp/
 
+ifneq ($(DEB_BUILD_ARCH), mips64el)
+	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
+endif
+
 %:
 	dh $@
